Subject: Re: bug#7655: conditional _TEXINFOS should be supported

From: Jack Kelly <[email-masked]>
Date: Fri, 17 Dec 2010 06:42:52 +1100

On Fri, Dec 17, 2010 at 6:41 AM, Jack Kelly <[email-masked]> wrote:
> On Fri, Dec 17, 2010 at 6:09 AM, Ralf Wildenhues <[email-masked]> wrote:
>> if COND
>> info_TEXINFOS = foo.texi
>> foo_TEXINFOS = bar.texi
>> nodist_info_TEXINFOS = generated.texi
>> endif
>>
>> should work to generate and install foo.{info,pdf,...} only if COND,
>> but distribute foo.texi and bar.texi always.  Similar with
>> generated.texi (except for distribution, of course).
>
> Disagree. foo.info should always be built, because it goes into `make
> dist'. If you want to limit building for non-specific `make', then
> make sure that the .info files and such all depend on `make dist', so
> the tarball is correctly generated.

Further thoughts on the above: The maintainer should always have
access to `texinfo', and the user should never have to rebuild .info
files, so it seems OK to me if they're not blocked when COND is false.

-- Jack